# 
# Do not Edit! Generated by:
# kickstarter.py
# 

lang en_US.UTF-8
keyboard us
timezone --utc America/Los_Angeles

# This partition is made so that u-boot can find the kernel

part /boot --size=64 --ondisk cardblksd --fstype=vfat

part / --size=2000  --ondisk cardblksd --fstype=ext3

rootpw mer

user --name mer  --groups audio,video --password mer

repo --name=mer-core --baseurl=http://releases.merproject.org/releases/latest/builds/armv7hl/packages --save --debuginfo --source
repo --name=mer-core-debug --baseurl=http://releases.merproject.org/releases/latest/builds/armv7hl/debug --save --debuginfo --source
repo --name=mer-extras --baseurl=http://repo.pub.meego.com/Project:/KDE:/Mer_Extras/CE_MW_Shared_Mer_Core_armv7hl/ --debuginfo --save
repo --name=mer-shared --baseurl=http://repo.pub.meego.com/CE:/MW:/Shared/Mer_Core_armv7hl/ --debuginfo --save 
repo --name=ce_tools --baseurl=http://repo.pub.meego.com/CE:/Utils/Mer_Core_armv7hl --debuginfo --save 
repo --name=plasma --baseurl=http://repo.pub.meego.com/Project:/KDE:/Devel/CE_UX_PlasmaActive_armv7hl/ --debuginfo --save


%packages

@Mer Core
@Mer Core Utils
@Mer Graphics Common
@Mer Connectivity
@Mer Minimal Xorg


openssh-clients
openssh-server
vim-enhanced

# Additional packages from mercore repository
cpio
gzip
connman-test
dbus
dbus-x11
gzip
#mesa-dri-swrast-driver
mesa-llvmpipe-dri-swrast-driver 
libqtmultimediakit1
libdeclarative-multimedia
qt-qmlviewer
xorg-x11-drv-evdev
xorg-x11-drv-fbdev
mailcap
usbutils
libqtwebkit-qmlwebkitplugin
tar
zypper

# Needed till pvr acceleration works
mesa-llvmpipe-libEGL

# mer-shared repository
#######################

@Nemo Middleware Shared
# Nemo Middleware Shared defines following packages (06 dec 2011)
# maliit-framework maliit-plugins ohm
ohm-plugins-misc

# Additional packages from mer-shared repository
gst-plugins-good
#ca-certificates
pulseaudio-policy-enforcement


gdb
gdb-gdbserver

# plasma repository
###################
bodega-client
contour
contour-intro
declarative-plasmoids
kdelibs-data
kdelibs-imageio-plugins
kdelibs-plasma-runtime
kdepim-strigi-plugins
kde-runtime-desktoptheme
kde-runtime-emoticons
kde-runtime-nepomuk
kde-runtime-netattach
kde-runtime-newstuff
kde-runtime-plasma
kde-runtime-solid
kde-runtime-sounds
kde-runtime-wallet
kmix
plasma-active
plasma-mobile-mouse
startactive
virtuoso
virtuoso-drivers
virtuoso-server
# required by installdbgsymbols.sh
kdialog
# add some simple testing tools
simple-tests
sample-media
kde-artwork-active-800-480

# NetworkManager stuff
ConsoleKit
ConsoleKit-libs
ConsoleKit-x11
dhclient
libpcap
ModemManager
#ModemManager-debuginfo
NetworkManager
NetworkManager-glib
NetworkManager-kde
NetworkManager-kde-libs
plasmoid-networkmanagement
ppp
#strongswan
#NetworkManager-kde-novellvpn
#NetworkManager-kde-openvpn
#NetworkManager-kde-strongswan

# Games
lskat
katomic
kfourinline
knetwalk
kshisen
kmahjongg
kpat
kreversi

# Apps
bangarang
kwrite
ksnapshot
#nepomukshell

encfs
fuse
rlog

# mer-extras repository
#######################
less
strace
alsa-plugins-pulseaudio
xorg-x11-drv-evdev
xorg-x11-drv-mtev
dbus-x11
iodbc
#libqtdeclarative4-gestures

# New stuff to get closer to the x86 mer image
bluetooth-qt
contextkit-meego-battery-upower
contextkit-meego
cpio
device-mapper-libs
device-mapper
gdb
#generic-logos
libusb1
mlite
#mtools
openssh-clients
openssh-server
openssh
#parted
pm-utils
#rsync
tar
upower
xterm
less
strace
plasma-mobile-config-default-blacklist

#kde-runtime-debuginfo
#kde-workspace-debuginfo
#kdelibs-debuginfo
#plasma-mobile-debuginfo
#glibc-debuginfo
#polkit-debuginfo
#polkit-qt-1-debuginfo

%end

%post

# save a little bit of space at least...
rm -f /boot/initrd*

# make sure there aren't core files lying around
rm -f /core*

# Remove cursor from showing during startup BMC#14991
echo "xopts=-nocursor" >> /etc/sysconfig/uxlaunch

# work around for poor key import UI in PackageKit
rm -f /var/lib/rpm/__db*
rpm --rebuilddb

# We can run the prelink only with qemu version 0.14 and newer.
qemu-arm-static -version | grep "0\.14"

if [ "x$?" == "x0" ]; then
    echo "QEMU version 0.14 running prelink."
    # Prelink can reduce boot time
    if [ -x /usr/sbin/prelink ]; then
        /usr/sbin/prelink -aRqm
    fi
else
    echo "QEMU version is not 0.14 so not running prelink."
fi


cat > /usr/share/xsessions/X-MEEGO-HS.plasmaactive << EOF
[Desktop Entry]
Version=1.0
Name=plasma active session
Exec=/usr/bin/startactive
Type=Application
EOF

# Set symlink pointing to .desktop file 

ln -sf X-MEEGO-HS.plasmaactive /usr/share/xsessions/default.desktop

# Without this line the rpm don't get the architecture right.
echo -n 'armv7hl-meego-linux' > /etc/rpm/platform
 
# Also libzypp has problems in autodetecting the architecture so we force tha as well.
# https://bugs.meego.com/show_bug.cgi?id=11484
echo 'arch = armv7hl' >> /etc/zypp/zypp.conf

ln -s /lib/systemd/system/getty@.service /lib/systemd/system/getty.target.wants/getty@tty2.service

mv /usr/bin/pulseaudio /usr/bin/pa

%end

%post --nochroot
if [ -n "$IMG_NAME" ]; then
    echo "BUILD: $IMG_NAME" >> $INSTALL_ROOT/etc/meego-release
fi

cat << SPARK1 >> $INSTALL_ROOT/etc/X11/xorg.conf.d/65-input-spark-1f.conf
Section "InputClass"
        Identifier "ft5301_ts"
        MatchProduct "ft5301_ts"
        Driver "mtev"
	Option "Ignore" "off"
EndSection

Section "InputClass"
        Identifier "Spark Compass Input"
        MatchProduct "ecompass_data"
	Option "Ignore" "on"
EndSection
SPARK1

cat << SPARK2 >> $INSTALL_ROOT/etc/X11/xorg.conf.d/66-input-spark-2m.conf
Section "InputClass"
        Identifier "ft5302_ts"
        MatchProduct "ft5302_ts"
        Driver "mtev"
	Option "Ignore" "off"
EndSection

Section "InputClass"
        Identifier "Spark Compass Input"
        MatchProduct "ecompass_data"
	Option "Ignore" "on"
EndSection
SPARK2

%end
